Package org.jmock.core.stub

# Class StubSequence

java.lang.Object
org.jmock.core.stub.StubSequence

All Implemented Interfaces:
  `SelfDescribing`, `Stub`

public class StubSequence extends Object implements Stub

## Constructor Summary

Constructors
Constructor
Description
`StubSequence(Stub[] stubs)`

## Method Summary

Modifier and Type
Method
Description
`StringBuffer`
`describeTo(StringBuffer buffer)`
Appends the description of this object to the buffer.
`Object`
`invoke(Invocation invocation)`
Processes the invocation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StubSequence

public StubSequence(Stub[] stubs)

## Method Details

### invoke

public Object invoke(Invocation invocation) throws Throwable
Description copied from interface: `Stub`
Processes the invocation.

Specified by:
  `invoke` in interface `Stub`
Parameters:
  `invocation` - The invocation to stub.
Returns:
  The result of the invocation, if not throwing an exception. Must return `null` if the invocation is of a invokedMethod with a void return type.
Throws:
  `Throwable` - An exception to be thrown to the caller, if not returning a value. A checked exception thrown from this invokedMethod must be in the `throws` list of the invoked method.

### describeTo

public StringBuffer describeTo(StringBuffer buffer)
Description copied from interface: `SelfDescribing`
Appends the description of this object to the buffer.

Specified by:
  `describeTo` in interface `SelfDescribing`
Parameters:
  `buffer` - The buffer that the description is appended to.
Returns:
  The buffer passed to the invokedMethod.